Gmagick::write
GmagickDraw
Gmagick
PHP Manual

# Gmagick::writeimage

(PECL gmagick >= Unknown)

Gmagick::writeimage — Writes an image to the specified filename

### Description

public Gmagick Gmagick::writeimage ( string `$filename` [, bool `$all_frames` = false ] )

Writes an image to the specified filename. If the filename parameter is NULL, the image is written to the filename set by Gmagick::ReadImage() or Gmagick::SetImageFilename().

### Parameters

`filename`

  The image filename.

### Return Values

The Gmagick object

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::write
GmagickDraw
Gmagick
PHP Manual